
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef aspect_TCLSERV_CLIENT_MSG_LIB_H
#define aspect_TCLSERV_CLIENT_MSG_LIB_H

#include <server/aspectType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int aspectTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int aspectTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int aspectTclservClientSetViewParametersRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ASPECT_VIEW_PARAMETERS *(in_viewParameters)
		);

int aspectTclservClientSetViewParametersReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int aspectTclservClientSetViewParametersRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ASPECT_VIEW_PARAMETERS *(in_viewParameters) ,
				 
				 int *bilan);




int aspectTclservClientGetViewParametersRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int aspectTclservClientGetViewParametersReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ASPECT_VIEW_PARAMETERS *(out_viewParameters),
			       int *bilan);

int aspectTclservClientGetViewParametersRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ASPECT_VIEW_PARAMETERS *(out_viewParameters),
				 int *bilan);




int aspectTclservClientReadMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ASPECT_INPUT_SOURCE *(in_mapInput) 
		);

int aspectTclservClientReadMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      int *(out_nbReadMapSegs),
			      int *bilan);


int aspectTclservClientReadMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ASPECT_INPUT_SOURCE *(in_mapInput) ,
				int *(out_nbReadMapSegs),
				int *bilan);

int aspectTclservClientReadMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ASPECT_INPUT_SOURCE *(in_mapInput) ,
					int *(out_nbReadMapSegs),
					int *bilan);




int aspectTclservClientGetMapSourceRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int aspectTclservClientGetMapSourceReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ASPECT_INPUT_SOURCE *(out_mapInput),
			       int *bilan);

int aspectTclservClientGetMapSourceRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ASPECT_INPUT_SOURCE *(out_mapInput),
				 int *bilan);




int aspectTclservClientSetDynamicSegsSourceRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ASPECT_STRING *(in_segsPosterName) 
		);

int aspectTclservClientSetDynamicSegsSourceReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int aspectTclservClientSetDynamicSegsSourceRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ASPECT_STRING *(in_segsPosterName) ,
				
				int *bilan);

int aspectTclservClientSetDynamicSegsSourceRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ASPECT_STRING *(in_segsPosterName) ,
					
					int *bilan);




int aspectTclservClientGetDynamicSegsSourceRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int aspectTclservClientGetDynamicSegsSourceReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ASPECT_STRING *(out_segsPosterName),
			       int *bilan);

int aspectTclservClientGetDynamicSegsSourceRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ASPECT_STRING *(out_segsPosterName),
				 int *bilan);




int aspectTclservClientResetMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int aspectTclservClientResetMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int aspectTclservClientResetMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int aspectTclservClientResetMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int aspectTclservClientAspectFromPosterConfigRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ASPECT_INPUTS_POSTER *(in_inputsPoster) 
		);

int aspectTclservClientAspectFromPosterConfigReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int aspectTclservClientAspectFromPosterConfigRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ASPECT_INPUTS_POSTER *(in_inputsPoster) ,
				
				int *bilan);

int aspectTclservClientAspectFromPosterConfigRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ASPECT_INPUTS_POSTER *(in_inputsPoster) ,
					
					int *bilan);




int aspectTclservClientStopAspectRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int aspectTclservClientStopAspectReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int aspectTclservClientStopAspectRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int aspectTclservClientExportLaserRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 ASPECT_EXPORT_LASER *(in_exportLaser)
		);

int aspectTclservClientExportLaserReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int aspectTclservClientExportLaserRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 ASPECT_EXPORT_LASER *(in_exportLaser) ,
				 
				 int *bilan);




int aspectTclservClientGetLaserParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int aspectTclservClientGetLaserParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ASPECT_EXPORT_LASER *(out_exportLaser),
			       int *bilan);

int aspectTclservClientGetLaserParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ASPECT_EXPORT_LASER *(out_exportLaser),
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* aspectTCLSERV_CLIENT_MSG_LIB_H */

