
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] aspectInstall] >= 0 } {
    interp expose {} aspectInstall
}

proc ::aspectInstall { name } {
    foreach rqst { "SetViewParameters" "GetViewParameters" "ReadMap" "GetMapSource" "SetDynamicSegsSource" "GetDynamicSegsSource" "ResetMap" "AspectFromPosterConfig" "StopAspect" "ExportLaser" "GetLaserParams" "CartesianAspectHeaderPosterRead" "CartesianAspectSegsPosterRead" "CartesianAspectPointsPosterRead" "PolarAspectHeaderPosterRead" "PolarAspectPolarSegsPosterRead" "PolarAspectPointsPosterRead" "PolarAspectSegsTypePosterRead" "LaserEchosScanPolarPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} aspect$rqst $name
    }
}

interp hide {} aspectInstall




# SetViewParameters ----------------------------------------------------------

if { [lsearch [interp hidden] aspectSetViewParameters] >= 0 } {
    interp expose {} aspectSetViewParameters
}
if { [lsearch [interp hidden] aspectSetViewParametersFormatOutput] >= 0 } {
    interp expose {} aspectSetViewParametersFormatOutput
}

proc ::aspectSetViewParameters { name args } {
    set format {}
    lappend format [list int "keep" 1 ]
    lappend format [list int "unused" 0 ]
    lappend format [list double "max dist" 5 ]
    lappend format [list double "angle of view" 0 ]
    lappend format [list double "remove small angle" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "SetViewParameters" \
	"max distance and angle of view" \
	"ASPECT_VIEW_PARAMETERS\n| int keepReversedSegs\n| int unused\n| double maxDistView\n| double halfAngleView\n| double minAspectSegAngle\n" \
	5 \
	$format \
	$args ]
}


proc ::aspectSetViewParametersFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectSetViewParameters
interp hide {} aspectSetViewParametersFormatOutput





# GetViewParameters ----------------------------------------------------------

if { [lsearch [interp hidden] aspectGetViewParameters] >= 0 } {
    interp expose {} aspectGetViewParameters
}
if { [lsearch [interp hidden] aspectGetViewParametersFormatOutput] >= 0 } {
    interp expose {} aspectGetViewParametersFormatOutput
}

proc ::aspectGetViewParameters { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetViewParameters" \
	"" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectGetViewParametersFormatOutput { list } {
    set format { {} status { } { viewParameters { } keepReversedSegs { } unused { } maxDistView { } halfAngleView { } minAspectSegAngle } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectGetViewParameters
interp hide {} aspectGetViewParametersFormatOutput





# ReadMap ----------------------------------------------------------

if { [lsearch [interp hidden] aspectReadMap] >= 0 } {
    interp expose {} aspectReadMap
}
if { [lsearch [interp hidden] aspectReadMapFormatOutput] >= 0 } {
    interp expose {} aspectReadMapFormatOutput
}

proc ::aspectReadMap { name args } {
    set format {}
    lappend format [list { "ASPECT_FILE" "ASPECT_POSTER" } "type of input" "ASPECT_FILE" ]
    lappend format [list int "unused" 0 ]
    lappend format [list string "map to load" "" ]

    return [ ::cs::rqstSend "${name}" "ReadMap" \
	"select a map from a file or a poster" \
	"ASPECT_INPUT_SOURCE\n| ASPECT_INPUT_SOURCE_TYPE type\n| int unused\n| char name\[64\]\n" \
	3 \
	$format \
	$args ]
}


proc ::aspectReadMapFormatOutput { list } {
    set format { {} status { } nbReadMapSegs }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectReadMap
interp hide {} aspectReadMapFormatOutput





# GetMapSource ----------------------------------------------------------

if { [lsearch [interp hidden] aspectGetMapSource] >= 0 } {
    interp expose {} aspectGetMapSource
}
if { [lsearch [interp hidden] aspectGetMapSourceFormatOutput] >= 0 } {
    interp expose {} aspectGetMapSourceFormatOutput
}

proc ::aspectGetMapSource { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetMapSource" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectGetMapSourceFormatOutput { list } {
    set format { {} status { } { mapInput { } type { } unused { } name } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectGetMapSource
interp hide {} aspectGetMapSourceFormatOutput





# SetDynamicSegsSource ----------------------------------------------------------

if { [lsearch [interp hidden] aspectSetDynamicSegsSource] >= 0 } {
    interp expose {} aspectSetDynamicSegsSource
}
if { [lsearch [interp hidden] aspectSetDynamicSegsSourceFormatOutput] >= 0 } {
    interp expose {} aspectSetDynamicSegsSourceFormatOutput
}

proc ::aspectSetDynamicSegsSource { name args } {
    set format {}
    lappend format [list string "poster to read dynamic segs" "sickSegs" ]

    return [ ::cs::rqstSend "${name}" "SetDynamicSegsSource" \
	"define the poster where to read the dynamic segs" \
	"ASPECT_STRING\n| char name\[64\]\n" \
	1 \
	$format \
	$args ]
}


proc ::aspectSetDynamicSegsSourceFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectSetDynamicSegsSource
interp hide {} aspectSetDynamicSegsSourceFormatOutput





# GetDynamicSegsSource ----------------------------------------------------------

if { [lsearch [interp hidden] aspectGetDynamicSegsSource] >= 0 } {
    interp expose {} aspectGetDynamicSegsSource
}
if { [lsearch [interp hidden] aspectGetDynamicSegsSourceFormatOutput] >= 0 } {
    interp expose {} aspectGetDynamicSegsSourceFormatOutput
}

proc ::aspectGetDynamicSegsSource { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetDynamicSegsSource" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectGetDynamicSegsSourceFormatOutput { list } {
    set format { {} status { } { segsPosterName { } name } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectGetDynamicSegsSource
interp hide {} aspectGetDynamicSegsSourceFormatOutput





# ResetMap ----------------------------------------------------------

if { [lsearch [interp hidden] aspectResetMap] >= 0 } {
    interp expose {} aspectResetMap
}
if { [lsearch [interp hidden] aspectResetMapFormatOutput] >= 0 } {
    interp expose {} aspectResetMapFormatOutput
}

proc ::aspectResetMap { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "ResetMap" \
	"Reset map" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectResetMapFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectResetMap
interp hide {} aspectResetMapFormatOutput





# AspectFromPosterConfig ----------------------------------------------------------

if { [lsearch [interp hidden] aspectAspectFromPosterConfig] >= 0 } {
    interp expose {} aspectAspectFromPosterConfig
}
if { [lsearch [interp hidden] aspectAspectFromPosterConfigFormatOutput] >= 0 } {
    interp expose {} aspectAspectFromPosterConfigFormatOutput
}

proc ::aspectAspectFromPosterConfig { name args } {
    set format {}
    lappend format [list { "ASPECT_FALSE" "ASPECT_TRUE" } "use map" "ASPECT_TRUE" ]
    lappend format [list { "ASPECT_FALSE" "ASPECT_TRUE" } "use sick segs" "ASPECT_TRUE" ]
    lappend format [list { "ASPECT_FALSE" "ASPECT_TRUE" } "keep back segs" "ASPECT_TRUE" ]
    lappend format [list int "unused" 0 ]
    lappend format [list string "poster to read laser pos" "pomSickFramePos" ]

    return [ ::cs::rqstSend "${name}" "AspectFromPosterConfig" \
	"Computes aspect map from view point read in poster" \
	"ASPECT_INPUTS_POSTER\n| ASPECT_INPUT_FROM\n| | ASPECT_BOOL mapSegs\n| | ASPECT_BOOL sickSegs\n| | ASPECT_BOOL keepSickSegsInBack\n| | int backSegsAgeLimit\n| ASPECT_STRING\n| | char name\[64\]\n" \
	5 \
	$format \
	$args ]
}


proc ::aspectAspectFromPosterConfigFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectAspectFromPosterConfig
interp hide {} aspectAspectFromPosterConfigFormatOutput





# StopAspect ----------------------------------------------------------

if { [lsearch [interp hidden] aspectStopAspect] >= 0 } {
    interp expose {} aspectStopAspect
}
if { [lsearch [interp hidden] aspectStopAspectFormatOutput] >= 0 } {
    interp expose {} aspectStopAspectFormatOutput
}

proc ::aspectStopAspect { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "StopAspect" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectStopAspectFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectStopAspect
interp hide {} aspectStopAspectFormatOutput





# ExportLaser ----------------------------------------------------------

if { [lsearch [interp hidden] aspectExportLaser] >= 0 } {
    interp expose {} aspectExportLaser
}
if { [lsearch [interp hidden] aspectExportLaserFormatOutput] >= 0 } {
    interp expose {} aspectExportLaserFormatOutput
}

proc ::aspectExportLaser { name args } {
    set format {}
    lappend format [list { "ASPECT_FALSE" "ASPECT_TRUE" } "exportLaser.simulData" "" ]
    lappend format [list { "ASPECT_FALSE" "ASPECT_TRUE" } "exportLaser.fuseRealData" "" ]
    lappend format [list double "exportLaser.thMinDeg" 0.0 ]
    lappend format [list double "exportLaser.thMaxDeg" 0.0 ]
    lappend format [list double "exportLaser.dThDeg" 0.0 ]

    return [ ::cs::rqstSend "${name}" "ExportLaser" \
	"Simulate a laser scan" \
	"ASPECT_EXPORT_LASER\n| ASPECT_BOOL simulData\n| ASPECT_BOOL fuseRealData\n| double thMinDeg\n| double thMaxDeg\n| double dThDeg\n" \
	5 \
	$format \
	$args ]
}


proc ::aspectExportLaserFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectExportLaser
interp hide {} aspectExportLaserFormatOutput





# GetLaserParams ----------------------------------------------------------

if { [lsearch [interp hidden] aspectGetLaserParams] >= 0 } {
    interp expose {} aspectGetLaserParams
}
if { [lsearch [interp hidden] aspectGetLaserParamsFormatOutput] >= 0 } {
    interp expose {} aspectGetLaserParamsFormatOutput
}

proc ::aspectGetLaserParams { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetLaserParams" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::aspectGetLaserParamsFormatOutput { list } {
    set format { {} status { } { exportLaser { } simulData { } fuseRealData { } thMinDeg { } thMaxDeg { } dThDeg } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectGetLaserParams
interp hide {} aspectGetLaserParamsFormatOutput





# CartesianAspectHeader ----------------------------------------------------------

if { [lsearch [interp hidden] aspectCartesianAspectHeaderPosterRead] >= 0 } {
    interp expose {} aspectCartesianAspectHeaderPosterRead
}
if { [lsearch [interp hidden] aspectCartesianAspectHeaderPosterFormatOutput] >= 0 } {
    interp expose {} aspectCartesianAspectHeaderPosterFormatOutput
}

proc ::aspectCartesianAspectHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "CartesianAspectHeader" \
	"SICK_SEG_HEADER\n| int nbSegs\n| int nbLonelyPoints\n| SICK_FRAME frame\n| int unused\n| double dtheta\n| double unused2\n| unsigned int sickTime\n| SICK_BOOL variancesUpdated\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n" \
	$args ]
}


proc ::aspectCartesianAspectHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } nbSegs { } nbLonelyPoints { } frame { } unused { } dtheta { } unused2 { } sickTime { } variancesUpdated { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectCartesianAspectHeaderPosterRead
interp hide {} aspectCartesianAspectHeaderPosterFormatOutput





# CartesianAspectSegs ----------------------------------------------------------

if { [lsearch [interp hidden] aspectCartesianAspectSegsPosterRead] >= 0 } {
    interp expose {} aspectCartesianAspectSegsPosterRead
}
if { [lsearch [interp hidden] aspectCartesianAspectSegsPosterFormatOutput] >= 0 } {
    interp expose {} aspectCartesianAspectSegsPosterFormatOutput
}

proc ::aspectCartesianAspectSegsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "CartesianAspectSegs" \
	"SICK_SEGS\n| SICK_SEG\n| | double x1\n| | double y1\n| | double x2\n| | double y2\n" \
	$args ]
}


proc ::aspectCartesianAspectSegsPosterFormatOutput { list } {
    set format { {} status { } { Segs { 100 } { segs { } x1 { } y1 { } x2 { } y2 } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectCartesianAspectSegsPosterRead
interp hide {} aspectCartesianAspectSegsPosterFormatOutput





# CartesianAspectPoints ----------------------------------------------------------

if { [lsearch [interp hidden] aspectCartesianAspectPointsPosterRead] >= 0 } {
    interp expose {} aspectCartesianAspectPointsPosterRead
}
if { [lsearch [interp hidden] aspectCartesianAspectPointsPosterFormatOutput] >= 0 } {
    interp expose {} aspectCartesianAspectPointsPosterFormatOutput
}

proc ::aspectCartesianAspectPointsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "CartesianAspectPoints" \
	"SICK_LONELY_PTS\n| SICK_POINT\n| | double x\n| | double y\n" \
	$args ]
}


proc ::aspectCartesianAspectPointsPosterFormatOutput { list } {
    set format { {} status { } { Points { 361 } { point { } x { } y } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectCartesianAspectPointsPosterRead
interp hide {} aspectCartesianAspectPointsPosterFormatOutput





# PolarAspectHeader ----------------------------------------------------------

if { [lsearch [interp hidden] aspectPolarAspectHeaderPosterRead] >= 0 } {
    interp expose {} aspectPolarAspectHeaderPosterRead
}
if { [lsearch [interp hidden] aspectPolarAspectHeaderPosterFormatOutput] >= 0 } {
    interp expose {} aspectPolarAspectHeaderPosterFormatOutput
}

proc ::aspectPolarAspectHeaderPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PolarAspectHeader" \
	"SICK_SEG_HEADER\n| int nbSegs\n| int nbLonelyPoints\n| SICK_FRAME frame\n| int unused\n| double dtheta\n| double unused2\n| unsigned int sickTime\n| SICK_BOOL variancesUpdated\n| POM_SENSOR_POS\n| | int date\n| | int pad\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n| | POM_EULER_V\n| | | POM_EULER\n| | | | double yaw\n| | | | double pitch\n| | | | double roll\n| | | | double x\n| | | | double y\n| | | | double z\n| | | POM_EULER_VARIANCES\n| | | | double voo\n| | | | double vop\n| | | | double vpp\n| | | | double vor\n| | | | double vpr\n| | | | double vrr\n| | | | double vox\n| | | | double vpx\n| | | | double vrx\n| | | | double vxx\n| | | | double voy\n| | | | double vpy\n| | | | double vry\n| | | | double vxy\n| | | | double vyy\n| | | | double voz\n| | | | double vpz\n| | | | double vrz\n| | | | double vxz\n| | | | double vyz\n| | | | double vzz\n" \
	$args ]
}


proc ::aspectPolarAspectHeaderPosterFormatOutput { list } {
    set format { {} status { } { Header { } nbSegs { } nbLonelyPoints { } frame { } unused { } dtheta { } unused2 { } sickTime { } variancesUpdated { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectPolarAspectHeaderPosterRead
interp hide {} aspectPolarAspectHeaderPosterFormatOutput





# PolarAspectPolarSegs ----------------------------------------------------------

if { [lsearch [interp hidden] aspectPolarAspectPolarSegsPosterRead] >= 0 } {
    interp expose {} aspectPolarAspectPolarSegsPosterRead
}
if { [lsearch [interp hidden] aspectPolarAspectPolarSegsPosterFormatOutput] >= 0 } {
    interp expose {} aspectPolarAspectPolarSegsPosterFormatOutput
}

proc ::aspectPolarAspectPolarSegsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PolarAspectPolarSegs" \
	"ASPECT_POLAR_SEGS\n| ASPECT_POLAR_SEG\n| | double r1\n| | double t1\n| | double r2\n| | double t2\n" \
	$args ]
}


proc ::aspectPolarAspectPolarSegsPosterFormatOutput { list } {
    set format { {} status { } { PolarSegs { 100 } { segs { } r1 { } t1 { } r2 { } t2 } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectPolarAspectPolarSegsPosterRead
interp hide {} aspectPolarAspectPolarSegsPosterFormatOutput





# PolarAspectPoints ----------------------------------------------------------

if { [lsearch [interp hidden] aspectPolarAspectPointsPosterRead] >= 0 } {
    interp expose {} aspectPolarAspectPointsPosterRead
}
if { [lsearch [interp hidden] aspectPolarAspectPointsPosterFormatOutput] >= 0 } {
    interp expose {} aspectPolarAspectPointsPosterFormatOutput
}

proc ::aspectPolarAspectPointsPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PolarAspectPoints" \
	"SICK_LONELY_PTS\n| SICK_POINT\n| | double x\n| | double y\n" \
	$args ]
}


proc ::aspectPolarAspectPointsPosterFormatOutput { list } {
    set format { {} status { } { Points { 361 } { point { } x { } y } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectPolarAspectPointsPosterRead
interp hide {} aspectPolarAspectPointsPosterFormatOutput





# PolarAspectSegsType ----------------------------------------------------------

if { [lsearch [interp hidden] aspectPolarAspectSegsTypePosterRead] >= 0 } {
    interp expose {} aspectPolarAspectSegsTypePosterRead
}
if { [lsearch [interp hidden] aspectPolarAspectSegsTypePosterFormatOutput] >= 0 } {
    interp expose {} aspectPolarAspectSegsTypePosterFormatOutput
}

proc ::aspectPolarAspectSegsTypePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PolarAspectSegsType" \
	"ASPECT_SEGS_TYPE\n| ASPECT_SEG_TYPE segType\[100\]\n" \
	$args ]
}


proc ::aspectPolarAspectSegsTypePosterFormatOutput { list } {
    set format { {} status { } { SegsType { 100 } segType } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectPolarAspectSegsTypePosterRead
interp hide {} aspectPolarAspectSegsTypePosterFormatOutput





# LaserEchosScanPolar ----------------------------------------------------------

if { [lsearch [interp hidden] aspectLaserEchosScanPolarPosterRead] >= 0 } {
    interp expose {} aspectLaserEchosScanPolarPosterRead
}
if { [lsearch [interp hidden] aspectLaserEchosScanPolarPosterFormatOutput] >= 0 } {
    interp expose {} aspectLaserEchosScanPolarPosterFormatOutput
}

proc ::aspectLaserEchosScanPolarPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "LaserEchosScanPolar" \
	"SICK_SCANPOLAR_POSTER_STR\n| SICK_MEASURES_HEADER_STR\n| | int np\n| | SICK_FRAME frame\n| | unsigned int send_time\n| | unsigned int rcv_time\n| | double theta_min\n| | double dtheta\n| | POM_SENSOR_POS\n| | | int date\n| | | int pad\n| | | POM_EULER_V\n| | | | POM_EULER\n| | | | | double yaw\n| | | | | double pitch\n| | | | | double roll\n| | | | | double x\n| | | | | double y\n| | | | | double z\n| | | | POM_EULER_VARIANCES\n| | | | | double voo\n| | | | | double vop\n| | | | | double vpp\n| | | | | double vor\n| | | | | double vpr\n| | | | | double vrr\n| | | | | double vox\n| | | | | double vpx\n| | | | | double vrx\n| | | | | double vxx\n| | | | | double voy\n| | | | | double vpy\n| | | | | double vry\n| | | | | double vxy\n| | | | | double vyy\n| | | | | double voz\n| | | | | double vpz\n| | | | | double vrz\n| | | | | double vxz\n| | | | | double vyz\n| | | | | double vzz\n| | | POM_EULER_V\n| | | | POM_EULER\n| | | | | double yaw\n| | | | | double pitch\n| | | | | double roll\n| | | | | double x\n| | | | | double y\n| | | | | double z\n| | | | POM_EULER_VARIANCES\n| | | | | double voo\n| | | | | double vop\n| | | | | double vpp\n| | | | | double vor\n| | | | | double vpr\n| | | | | double vrr\n| | | | | double vox\n| | | | | double vpx\n| | | | | double vrx\n| | | | | double vxx\n| | | | | double voy\n| | | | | double vpy\n| | | | | double vry\n| | | | | double vxy\n| | | | | double vyy\n| | | | | double voz\n| | | | | double vpz\n| | | | | double vrz\n| | | | | double vxz\n| | | | | double vyz\n| | | | | double vzz\n| | | POM_EULER_V\n| | | | POM_EULER\n| | | | | double yaw\n| | | | | double pitch\n| | | | | double roll\n| | | | | double x\n| | | | | double y\n| | | | | double z\n| | | | POM_EULER_VARIANCES\n| | | | | double voo\n| | | | | double vop\n| | | | | double vpp\n| | | | | double vor\n| | | | | double vpr\n| | | | | double vrr\n| | | | | double vox\n| | | | | double vpx\n| | | | | double vrx\n| | | | | double vxx\n| | | | | double voy\n| | | | | double vpy\n| | | | | double vry\n| | | | | double vxy\n| | | | | double vyy\n| | | | | double voz\n| | | | | double vpz\n| | | | | double vrz\n| | | | | double vxz\n| | | | | double vyz\n| | | | | double vzz\n| | | POM_EULER_V\n| | | | POM_EULER\n| | | | | double yaw\n| | | | | double pitch\n| | | | | double roll\n| | | | | double x\n| | | | | double y\n| | | | | double z\n| | | | POM_EULER_VARIANCES\n| | | | | double voo\n| | | | | double vop\n| | | | | double vpp\n| | | | | double vor\n| | | | | double vpr\n| | | | | double vrr\n| | | | | double vox\n| | | | | double vpx\n| | | | | double vrx\n| | | | | double vxx\n| | | | | double voy\n| | | | | double vpy\n| | | | | double vry\n| | | | | double vxy\n| | | | | double vyy\n| | | | | double voz\n| | | | | double vpz\n| | | | | double vrz\n| | | | | double vxz\n| | | | | double vyz\n| | | | | double vzz\n| double Rho\[361\]\n" \
	$args ]
}


proc ::aspectLaserEchosScanPolarPosterFormatOutput { list } {
    set format { {} status { } { ScanPolar { } { Header { } np { } frame { } send_time { } rcv_time { } theta_min { } dtheta { } { sickPomPos { } date { } pad { } { sensorToMain { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToBase { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { mainToOrigin { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } } { 361 } Rho } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} aspectLaserEchosScanPolarPosterRead
interp hide {} aspectLaserEchosScanPolarPosterFormatOutput


